#include <iostream>
#include <stdio.h>
#define MAX 1000000

using namespace std;

int n;
int niz[MAX];

void ispisi(int n)
{
    for(int i = 0; i < n; ++i)
    {
        printf("%i ", niz[i]);
    }
}

void zameni(int n)
{
    for(int i = 0; i < n; ++i)
    {
        if(i+1 < n)
        {
            if(niz[i] < niz[i+1])
            {
                swap(niz[i], niz[i+1]);
                break;
            }
        }
    }
}

int main()
{
    scanf("%i", &n);
    for(int i = 0; i < n; ++i)
    {
        scanf("%i", &niz[i]);
    }

    if(n == 2){ swap(niz[0], niz[1]); }
    else
    {
        zameni(n);
    }

    ispisi(n);
}